Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/HeuristicLab.DataImporter.Backend.Csv.csproj
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/HeuristicLab.DataImporter.Backend.Csv.csproj	(revision 7628)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/HeuristicLab.DataImporter.Backend.Csv.csproj	(revision 7629)
@@ -116,5 +116,5 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="HeuristicLabDataImporterBackendCsvPlugin.cs.frame" />
+    <None Include="Plugin.cs.frame" />
     <Compile Include="CsvImportCommand.cs" />
     <Compile Include="CsvImporterView.cs">
@@ -132,5 +132,5 @@
     </Compile>
     <Compile Include="CsvImporter.cs" />
-    <Compile Include="HeuristicLabDataImporterBackendCsvPlugin.cs" />
+    <Compile Include="Plugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
@@ -182,6 +182,5 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd
-SubWCRev "%25ProjectDir%25\" "%25ProjectDir%25\HeuristicLabDataImporterBackendCsvPlugin.cs.frame" "%25ProjectDir%25\HeuristicLabDataImporterBackendCsvPlugin.cs"</PreBuildEvent>
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: anches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/HeuristicLabDataImporterBackendCsvPlugin.cs.frame
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/HeuristicLabDataImporterBackendCsvPlugin.cs.frame	(revision 7628)
+++ 	(revision )
@@ -1,35 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.DataImporter.Backend.Csv {
-  [Plugin("HeuristicLab.DataImporter.Backend.Csv","1.0.0.$WCREV$")]
-  [PluginFile("HeuristicLab.DataImporter.Backend.Csv-1.0.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.DataImporter.DataProcessor","1.0")]
-  [PluginDependency("HeuristicLab.Persistence","3.3")]
-  public class HeuristicLabDataImporterBackendCsvPlugin : PluginBase {
-  }
-}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/Plugin.cs.frame
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/Plugin.cs.frame	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/Plugin.cs.frame	(revision 7629)
@@ -0,0 +1,35 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.DataImporter.Backend.Csv {
+  [Plugin("HeuristicLab.DataImporter.Backend.Csv","1.0.0.$WCREV$")]
+  [PluginFile("HeuristicLab.DataImporter.Backend.Csv-1.0.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.DataImporter.DataProcessor","1.0")]
+  [PluginDependency("HeuristicLab.Persistence","3.3")]
+  public class HeuristicLabDataImporterBackendCsvPlugin : PluginBase {
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/HeuristicLab.DataImporter.DataProcessor.csproj
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/HeuristicLab.DataImporter.DataProcessor.csproj	(revision 7628)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/HeuristicLab.DataImporter.DataProcessor.csproj	(revision 7629)
@@ -132,5 +132,5 @@
       <DependentUpon>SqlCommandView.cs</DependentUpon>
     </Compile>
-    <None Include="HeuristicLabDataImporterDataProcessorPlugin.cs.frame" />
+    <None Include="Plugin.cs.frame" />
     <Compile Include="ProgressDialog.cs">
       <SubType>Form</SubType>
@@ -160,5 +160,5 @@
     </Compile>
     <Compile Include="HeuristicLabDataImporterDataProcessorApplication.cs" />
-    <Compile Include="HeuristicLabDataImporterDataProcessorPlugin.cs" />
+    <Compile Include="Plugin.cs" />
     <Compile Include="IExporter.cs" />
     <Compile Include="DataProcessorView.cs">
@@ -256,6 +256,5 @@
 set Outdir=$(Outdir)
 
-call PreBuildEvent.cmd
-SubWCRev "%25ProjectDir%25\" "%25ProjectDir%25\HeuristicLabDataImporterDataProcessorPlugin.cs.frame" "%25ProjectDir%25\HeuristicLabDataImporterDataProcessorPlugin.cs"</PreBuildEvent>
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: anches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/HeuristicLabDataImporterDataProcessorPlugin.cs.frame
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/HeuristicLabDataImporterDataProcessorPlugin.cs.frame	(revision 7628)
+++ 	(revision )
@@ -1,38 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.DataImporter.DataProcessor {
-  [Plugin("HeuristicLab.DataImporter.DataProcessor","1.0.0.$WCREV$")]
-  [PluginFile("HeuristicLab.DataImporter.Command-1.0.dll", PluginFileType.Assembly)]
-  [PluginFile("HeuristicLab.DataImporter.Data-1.0.dll", PluginFileType.Assembly)]
-  [PluginFile("HeuristicLab.DataImporter.DataProcessor-1.0.dll", PluginFileType.Assembly)]
-  [PluginFile("HeuristicLab.DataImporter.DbExplorer.Interfaces-1.0.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.ALGLIB","3.4")]
-  [PluginDependency("HeuristicLab.Common.Resources","3.3")]
-  [PluginDependency("HeuristicLab.Persistence","3.3")]
-  public class HeuristicLabDataImporterDataProcessorPlugin : PluginBase {
-  }
-}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Plugin.cs.frame
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Plugin.cs.frame	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Plugin.cs.frame	(revision 7629)
@@ -0,0 +1,38 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.DataImporter.DataProcessor {
+  [Plugin("HeuristicLab.DataImporter.DataProcessor","1.0.0.$WCREV$")]
+  [PluginFile("HeuristicLab.DataImporter.Command-1.0.dll", PluginFileType.Assembly)]
+  [PluginFile("HeuristicLab.DataImporter.Data-1.0.dll", PluginFileType.Assembly)]
+  [PluginFile("HeuristicLab.DataImporter.DataProcessor-1.0.dll", PluginFileType.Assembly)]
+  [PluginFile("HeuristicLab.DataImporter.DbExplorer.Interfaces-1.0.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.ALGLIB","3.4")]
+  [PluginDependency("HeuristicLab.Common.Resources","3.3")]
+  [PluginDependency("HeuristicLab.Persistence","3.3")]
+  public class HeuristicLabDataImporterDataProcessorPlugin : PluginBase {
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/HeuristicLab.DataImporter.DbExplorer.MsSqlServer.csproj
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/HeuristicLab.DataImporter.DbExplorer.MsSqlServer.csproj	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/HeuristicLab.DataImporter.DbExplorer.MsSqlServer.csproj	(revision 7629)
@@ -0,0 +1,173 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{B6D02DED-277B-4091-9C06-F092D2F8116F}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.DataImporter.DbExplorer.MsSqlServer</RootNamespace>
+    <AssemblyName>HeuristicLab.DataImporter.DbExplorer.MsSqlServer-1.0</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+    <FileUpgradeFlags>
+    </FileUpgradeFlags>
+    <OldToolsVersion>3.5</OldToolsVersion>
+    <UpgradeBackupLocation />
+    <PublishUrl>publish\</PublishUrl>
+    <Install>true</Install>
+    <InstallFrom>Disk</InstallFrom>
+    <UpdateEnabled>false</UpdateEnabled>
+    <UpdateMode>Foreground</UpdateMode>
+    <UpdateInterval>7</UpdateInterval>
+    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
+    <UpdatePeriodically>false</UpdatePeriodically>
+    <UpdateRequired>false</UpdateRequired>
+    <MapFileExtensions>true</MapFileExtensions>
+    <ApplicationRevision>0</ApplicationRevision>
+    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
+    <IsWebBootstrapper>false</IsWebBootstrapper>
+    <UseApplicationTrust>false</UseApplicationTrust>
+    <BootstrapperEnabled>true</BootstrapperEnabled>
+    <TargetFrameworkProfile />
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
+      <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Xml.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.DataSetExtensions">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Plugin.cs.frame" />
+    <Compile Include="Plugin.cs" />
+    <Compile Include="SqlServerConnectionWizard.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="SqlServerConnectionWizard.Designer.cs">
+      <DependentUpon>SqlServerConnectionWizard.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="SqlServerConnection.cs" />
+    <Compile Include="SqlServerExplorer.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.DataImporter.Data\HeuristicLab.DataImporter.Data.csproj">
+      <Project>{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}</Project>
+      <Name>HeuristicLab.DataImporter.Data</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.DataImporter.DbExplorer.Interfaces\HeuristicLab.DataImporter.DbExplorer.Interfaces.csproj">
+      <Project>{815384EE-2B32-4C25-AE06-4FC7F417FE28}</Project>
+      <Name>HeuristicLab.DataImporter.DbExplorer.Interfaces</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Properties\AssemblyInfo.frame" />
+  </ItemGroup>
+  <ItemGroup>
+    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
+      <Visible>False</Visible>
+      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
+      <Install>false</Install>
+    </BootstrapperPackage>
+    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
+      <Visible>False</Visible>
+      <ProductName>.NET Framework 3.5 SP1</ProductName>
+      <Install>true</Install>
+    </BootstrapperPackage>
+    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
+      <Visible>False</Visible>
+      <ProductName>Windows Installer 3.1</ProductName>
+      <Install>true</Install>
+    </BootstrapperPackage>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+</Project>
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/Plugin.cs.frame
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/Plugin.cs.frame	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/Plugin.cs.frame	(revision 7629)
@@ -0,0 +1,34 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.DataImporter.DbExplorer.MsSqlServer {
+  [Plugin("HeuristicLab.DataImporter.DbExplorer.MsSqlServer","1.0.0.$WCREV$")]
+  [PluginFile("HeuristicLab.DataImporter.DbExplorer.MsSqlServer-1.0.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.DataImporter.DataProcessor","1.0")]
+  public class HeuristicLabDataImporterDbExplorerMsSqlServerPlugin : PluginBase {
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/Properties/AssemblyInfo.frame
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/Properties/AssemblyInfo.frame	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/Properties/AssemblyInfo.frame	(revision 7629)
@@ -0,0 +1,57 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.DataImporter.DbExplorer.MsSqlServer")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2008 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("7d0840b8-3382-4b99-ab4e-5d1eb91fbec1")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Revision and Build Numbers 
+// by using the '*' as shown below:
+[assembly: AssemblyVersion("1.0.0.$WCREV$")]
+[assembly: AssemblyFileVersion("1.0.0.$WCREV$")]
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerConnection.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerConnection.cs	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerConnection.cs	(revision 7629)
@@ -0,0 +1,77 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Data.Common;
+using System.Data.SqlClient;
+using HeuristicLab.DataImporter.DbExplorer.Interfaces;
+
+namespace HeuristicLab.DataImporter.DbExplorer.MsSqlServer {
+  public class SqlServerConnection : DbConnectionBase {
+    private string constring;
+
+    public SqlServerConnection(string serverName, string databaseName, string userName, string password, bool useWindowsAuthentication)
+      : base(databaseName, userName, password) {
+      this.serverName = serverName;
+      this.useWindowsAuthentication = useWindowsAuthentication;
+
+      this.constring = "Server=" + serverName + "; Initial Catalog=" + databaseName;
+      if (useWindowsAuthentication)
+        this.constring += @"; Integrated Security=true";
+      else
+        this.constring += "; User ID=" + userName + "; Password=" + password;
+    }
+
+    private string serverName;
+    public string ServerName {
+      get { return this.serverName; }
+      set { this.serverName = value; }
+    }
+
+    private bool useWindowsAuthentication;
+    public bool UseWindowsAuthentication {
+      get { return this.useWindowsAuthentication; }
+      set { this.useWindowsAuthentication = value; }
+    }
+
+    public override DbConnection CreateConnection() {
+      return new SqlConnection(constring);
+    }
+
+    public override bool TestConnection() {
+      System.Data.Common.DbConnection con = null;
+      try {
+        con = this.CreateConnection();
+        con.Open();
+        this.ErrorMessage = "";
+        return true;
+      }
+      catch (SqlException e) {
+        this.ErrorMessage = e.Message;
+        this.CreateConnection().Close();
+        return false;
+      }
+      finally {
+        if (con != null)
+          con.Close();
+      }
+    }
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerConnectionWizard.Designer.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerConnectionWizard.Designer.cs	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerConnectionWizard.Designer.cs	(revision 7629)
@@ -0,0 +1,202 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.DataImporter.DbExplorer.MsSqlServer {
+  partial class SqlServerConnectionWizard {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.label2 = new System.Windows.Forms.Label();
+      this.label3 = new System.Windows.Forms.Label();
+      this.txtUsername = new System.Windows.Forms.TextBox();
+      this.txtPassword = new System.Windows.Forms.TextBox();
+      this.btnOk = new System.Windows.Forms.Button();
+      this.btnCancel = new System.Windows.Forms.Button();
+      this.txtDatabaseName = new System.Windows.Forms.TextBox();
+      this.label4 = new System.Windows.Forms.Label();
+      this.label1 = new System.Windows.Forms.Label();
+      this.txtServerName = new System.Windows.Forms.TextBox();
+      this.chbWindowsAuthentication = new System.Windows.Forms.CheckBox();
+      this.SuspendLayout();
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(12, 127);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(55, 13);
+      this.label2.TabIndex = 3;
+      this.label2.Text = "Username";
+      // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Location = new System.Drawing.Point(12, 153);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(53, 13);
+      this.label3.TabIndex = 4;
+      this.label3.Text = "Password";
+      // 
+      // txtUsername
+      // 
+      this.txtUsername.Location = new System.Drawing.Point(113, 124);
+      this.txtUsername.Name = "txtUsername";
+      this.txtUsername.Size = new System.Drawing.Size(169, 20);
+      this.txtUsername.TabIndex = 3;
+      // 
+      // txtPassword
+      // 
+      this.txtPassword.Location = new System.Drawing.Point(113, 150);
+      this.txtPassword.Name = "txtPassword";
+      this.txtPassword.Size = new System.Drawing.Size(169, 20);
+      this.txtPassword.TabIndex = 4;
+      this.txtPassword.UseSystemPasswordChar = true;
+      // 
+      // btnOk
+      // 
+      this.btnOk.DialogResult = System.Windows.Forms.DialogResult.OK;
+      this.btnOk.Location = new System.Drawing.Point(113, 189);
+      this.btnOk.Name = "btnOk";
+      this.btnOk.Size = new System.Drawing.Size(75, 23);
+      this.btnOk.TabIndex = 5;
+      this.btnOk.Text = "OK";
+      this.btnOk.UseVisualStyleBackColor = true;
+      this.btnOk.Click += new System.EventHandler(this.btnOK_Click);
+      // 
+      // btnCancel
+      // 
+      this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
+      this.btnCancel.Location = new System.Drawing.Point(207, 189);
+      this.btnCancel.Name = "btnCancel";
+      this.btnCancel.Size = new System.Drawing.Size(75, 23);
+      this.btnCancel.TabIndex = 6;
+      this.btnCancel.Text = "Cancel";
+      this.btnCancel.UseVisualStyleBackColor = true;
+      // 
+      // txtDatabaseName
+      // 
+      this.txtDatabaseName.Location = new System.Drawing.Point(113, 56);
+      this.txtDatabaseName.Name = "txtDatabaseName";
+      this.txtDatabaseName.Size = new System.Drawing.Size(169, 20);
+      this.txtDatabaseName.TabIndex = 1;
+      // 
+      // label4
+      // 
+      this.label4.AutoSize = true;
+      this.label4.Location = new System.Drawing.Point(12, 59);
+      this.label4.Name = "label4";
+      this.label4.Size = new System.Drawing.Size(84, 13);
+      this.label4.TabIndex = 9;
+      this.label4.Text = "Database Name";
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(12, 32);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(69, 13);
+      this.label1.TabIndex = 0;
+      this.label1.Text = "Server Name";
+      // 
+      // txtServerName
+      // 
+      this.txtServerName.Location = new System.Drawing.Point(113, 29);
+      this.txtServerName.Name = "txtServerName";
+      this.txtServerName.Size = new System.Drawing.Size(169, 20);
+      this.txtServerName.TabIndex = 0;
+      // 
+      // chbAdvancedSettings
+      // 
+      this.chbWindowsAuthentication.AutoSize = true;
+      this.chbWindowsAuthentication.Location = new System.Drawing.Point(113, 100);
+      this.chbWindowsAuthentication.Name = "chbAdvancedSettings";
+      this.chbWindowsAuthentication.Size = new System.Drawing.Size(141, 17);
+      this.chbWindowsAuthentication.TabIndex = 2;
+      this.chbWindowsAuthentication.Text = "Windows Authentication";
+      this.chbWindowsAuthentication.UseVisualStyleBackColor = true;
+      this.chbWindowsAuthentication.CheckedChanged += new System.EventHandler(this.chbWindowsAuthentication_CheckedChanged);
+      // 
+      // SqlServerConnectionWizard
+      // 
+      this.AcceptButton = this.btnOk;
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(323, 229);
+      this.ControlBox = false;
+      this.Controls.Add(this.txtDatabaseName);
+      this.Controls.Add(this.label4);
+      this.Controls.Add(this.btnCancel);
+      this.Controls.Add(this.btnOk);
+      this.Controls.Add(this.txtPassword);
+      this.Controls.Add(this.txtUsername);
+      this.Controls.Add(this.label3);
+      this.Controls.Add(this.label2);
+      this.Controls.Add(this.chbWindowsAuthentication);
+      this.Controls.Add(this.txtServerName);
+      this.Controls.Add(this.label1);
+      this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
+      this.MaximizeBox = false;
+      this.MinimizeBox = false;
+      this.Name = "SqlServerConnectionWizard";
+      this.ShowInTaskbar = false;
+      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
+      this.Text = "Microsoft SQLServer Connection Wizard";
+      this.TopMost = true;
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label label2;
+    private System.Windows.Forms.Label label3;
+    private System.Windows.Forms.TextBox txtUsername;
+    private System.Windows.Forms.TextBox txtPassword;
+    private System.Windows.Forms.Button btnOk;
+    private System.Windows.Forms.Button btnCancel;
+    private System.Windows.Forms.TextBox txtDatabaseName;
+    private System.Windows.Forms.Label label4;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.TextBox txtServerName;
+    private System.Windows.Forms.CheckBox chbWindowsAuthentication;
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerConnectionWizard.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerConnectionWizard.cs	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerConnectionWizard.cs	(revision 7629)
@@ -0,0 +1,52 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+using HeuristicLab.DataImporter.DbExplorer.Interfaces;
+
+namespace HeuristicLab.DataImporter.DbExplorer.MsSqlServer {
+  public partial class SqlServerConnectionWizard : Form, IDbConnectionWizard {
+
+    private SqlServerConnection connection;
+    public DbConnectionBase Connection {
+      get { return connection; }
+    }
+    public SqlServerConnectionWizard() {
+      InitializeComponent();
+      chbWindowsAuthentication.Checked = true;
+    }
+
+    private void chbWindowsAuthentication_CheckedChanged(object sender, EventArgs e) {
+      if (chbWindowsAuthentication.Checked) {
+        txtUsername.Enabled = false;
+        txtPassword.Enabled = false;
+      } else {
+        txtUsername.Enabled = true;
+        txtPassword.Enabled = true;
+      }
+    }
+
+    private void btnOK_Click(object sender, EventArgs e) {
+      connection = new SqlServerConnection(txtServerName.Text, txtDatabaseName.Text, txtUsername.Text, txtPassword.Text, chbWindowsAuthentication.Checked);
+    }
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerExplorer.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerExplorer.cs	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.MsSqlServer/SqlServerExplorer.cs	(revision 7629)
@@ -0,0 +1,129 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Data.Common;
+using System.Globalization;
+using HeuristicLab.DataImporter.DbExplorer.Interfaces;
+
+namespace HeuristicLab.DataImporter.DbExplorer.MsSqlServer {
+  public class SqlServerExplorer : DbExplorerBase {
+
+    protected override string EscapeSqlString(string s) {
+      return "[" + s + "]";
+    }
+
+    private enum NumericDataType { Numeric, Decimal, Tinyint, Smallint, Int, bigint, Float, Real }
+    public override bool IsNumericDataType(string type) {
+      try {
+        Enum.Parse(typeof(NumericDataType), type, true);
+        return true;
+      }
+      catch (ArgumentException) { }
+      return false;
+    }
+
+    private enum DateDataType { DateTime, SmallDateTime }
+    public override bool IsDateDataType(string type) {
+      try {
+        Enum.Parse(typeof(DateDataType), type, true);
+        return true;
+      }
+      catch (ArgumentException) { }
+      return false;
+    }
+
+    private enum StringDataType { Char, NChar, Varchar, NVarchar }
+    public override bool IsStringDataType(string type) {
+      try {
+        Enum.Parse(typeof(StringDataType), type, true);
+        return true;
+      }
+      catch (ArgumentException) { }
+      return false;
+    }
+
+    public override bool IsFilterableDataType(string type) {
+      return IsNumericDataType(type) || IsDateDataType(type) || IsStringDataType(type);
+    }
+
+    protected override string ConvertDate(DateTime date) {
+      string ret = "'" + date.ToString(CultureInfo.InvariantCulture) + "'";
+      return ret;
+    }
+
+    protected override string ConvertDouble(double value) {
+      return value.ToString(CultureInfo.InvariantCulture);
+    }
+
+    public override string MenuItemDescription {
+      get { return "Connect to Microsoft SqlServer"; }
+    }
+
+    private SqlServerConnectionWizard wizard;
+    protected override IDbConnectionWizard DbConnectionWizard {
+      get {
+        if (wizard == null)
+          wizard = new SqlServerConnectionWizard();
+        return wizard;
+      }
+    }
+
+    public override IEnumerable<DbTable> AllTables {
+      get {
+        if (Connection == null)
+          throw new InvalidOperationException("Connection to database not correctly set!");
+        List<DbTable> allTables = new List<DbTable>();
+        using (DbConnection conn = Connection.CreateConnection()) {
+          conn.Open();
+          using (DbCommand cmd = conn.CreateCommand()) {
+            cmd.CommandText = @"select table_schema,table_name from INFORMATION_SCHEMA.tables";
+            using (DbDataReader reader = cmd.ExecuteReader()) {
+              while (reader.Read()) {
+                allTables.Add(new DbTable(reader.GetString(0), reader.GetString(1)));
+              }
+              reader.Close();
+            }//end using reader
+            cmd.Dispose();
+          }//end using command
+
+          //fill columns for table
+          foreach (DbTable table in allTables) {
+            using (DbCommand cmd = conn.CreateCommand()) {
+              cmd.CommandText = @"select column_name,data_type from INFORMATION_SCHEMA.columns where table_name = '" + table.TableName + "'";
+              using (DbDataReader reader = cmd.ExecuteReader()) {
+                while (reader.Read()) {
+                  table.AddColumn(new DbColumn(reader.GetString(0), reader.GetString(1)));
+                }
+                reader.Close();
+              }//end using reader
+            }//end using command
+
+          }//end foreach table
+          conn.Close();
+        }//end using connection
+        allTables.Sort(new DbTableComparator());
+        return allTables;
+      }
+    }
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/HeuristicLab.DataImporter.DbExplorer.Oracle.csproj
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/HeuristicLab.DataImporter.DbExplorer.Oracle.csproj	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/HeuristicLab.DataImporter.DbExplorer.Oracle.csproj	(revision 7629)
@@ -0,0 +1,174 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{E04988E2-1C46-416F-8585-8874DF19DA11}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.DataImporter.DbExplorer.Oracle</RootNamespace>
+    <AssemblyName>HeuristicLab.DataImporter.DbExplorer.Oracle-1.0</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+    <FileUpgradeFlags>
+    </FileUpgradeFlags>
+    <OldToolsVersion>3.5</OldToolsVersion>
+    <UpgradeBackupLocation />
+    <PublishUrl>publish\</PublishUrl>
+    <Install>true</Install>
+    <InstallFrom>Disk</InstallFrom>
+    <UpdateEnabled>false</UpdateEnabled>
+    <UpdateMode>Foreground</UpdateMode>
+    <UpdateInterval>7</UpdateInterval>
+    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
+    <UpdatePeriodically>false</UpdatePeriodically>
+    <UpdateRequired>false</UpdateRequired>
+    <MapFileExtensions>true</MapFileExtensions>
+    <ApplicationRevision>0</ApplicationRevision>
+    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
+    <IsWebBootstrapper>false</IsWebBootstrapper>
+    <UseApplicationTrust>false</UseApplicationTrust>
+    <BootstrapperEnabled>true</BootstrapperEnabled>
+    <TargetFrameworkProfile />
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
+      <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.OracleClient" />
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Xml.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.DataSetExtensions">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Plugin.cs.frame" />
+    <Compile Include="Plugin.cs" />
+    <Compile Include="OracleConnectionWizard.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="OracleConnectionWizard.Designer.cs">
+      <DependentUpon>OracleConnectionWizard.cs</DependentUpon>
+    </Compile>
+    <Compile Include="OracleConnection.cs" />
+    <Compile Include="OracleExplorer.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Properties\AssemblyInfo.frame" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.DataImporter.Data\HeuristicLab.DataImporter.Data.csproj">
+      <Project>{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}</Project>
+      <Name>HeuristicLab.DataImporter.Data</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.DataImporter.DbExplorer.Interfaces\HeuristicLab.DataImporter.DbExplorer.Interfaces.csproj">
+      <Project>{815384EE-2B32-4C25-AE06-4FC7F417FE28}</Project>
+      <Name>HeuristicLab.DataImporter.DbExplorer.Interfaces</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
+      <Visible>False</Visible>
+      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
+      <Install>false</Install>
+    </BootstrapperPackage>
+    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
+      <Visible>False</Visible>
+      <ProductName>.NET Framework 3.5 SP1</ProductName>
+      <Install>true</Install>
+    </BootstrapperPackage>
+    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
+      <Visible>False</Visible>
+      <ProductName>Windows Installer 3.1</ProductName>
+      <Install>true</Install>
+    </BootstrapperPackage>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+</Project>
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleConnection.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleConnection.cs	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleConnection.cs	(revision 7629)
@@ -0,0 +1,65 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Data.OracleClient;
+using HeuristicLab.DataImporter.DbExplorer.Interfaces;
+
+namespace HeuristicLab.DataImporter.DbExplorer.Oracle {
+  public class OracleConnection : DbConnectionBase {
+    private string constring;
+
+    public OracleConnection(string databaseName, string userName, string password)
+      : base(databaseName, userName, password) {
+      this.constring = "Server=" + databaseName;
+      this.constring += "; User ID=" + userName + "; Password=" + password;
+    }
+
+    public OracleConnection(string host, string port, string serviceName, string userName, string password)
+      : base(host, userName, password) {
+      this.constring = String.Format("Data Source=(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST={0}) (PORT={1}))(CONNECT_DATA=(SERVICE_NAME={2})))" +
+        ";User Id={3};Password={4};", host, port, serviceName, userName, password);
+    }
+
+    public override System.Data.Common.DbConnection CreateConnection() {
+      return new System.Data.OracleClient.OracleConnection(constring);
+    }
+
+    public override bool TestConnection() {
+      System.Data.Common.DbConnection con = null;
+      try {
+        con = this.CreateConnection();
+        con.Open();
+        this.ErrorMessage = "";
+        return true;
+      }
+      catch (OracleException e) {
+        this.ErrorMessage = e.Message;
+        this.CreateConnection().Close();
+        return false;
+      }
+      finally {
+        if (con != null)
+          con.Close();
+      }
+    }
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleConnectionWizard.Designer.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleConnectionWizard.Designer.cs	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleConnectionWizard.Designer.cs	(revision 7629)
@@ -0,0 +1,249 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.DataImporter.DbExplorer.Oracle {
+  partial class OracleConnectionWizard {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.label2 = new System.Windows.Forms.Label();
+      this.label3 = new System.Windows.Forms.Label();
+      this.txtUsername = new System.Windows.Forms.TextBox();
+      this.txtPassword = new System.Windows.Forms.TextBox();
+      this.btnOk = new System.Windows.Forms.Button();
+      this.btnCancel = new System.Windows.Forms.Button();
+      this.txtDatabaseName = new System.Windows.Forms.TextBox();
+      this.label4 = new System.Windows.Forms.Label();
+      this.txtHost = new System.Windows.Forms.TextBox();
+      this.label1 = new System.Windows.Forms.Label();
+      this.label5 = new System.Windows.Forms.Label();
+      this.label6 = new System.Windows.Forms.Label();
+      this.txtPort = new System.Windows.Forms.TextBox();
+      this.txtServiceName = new System.Windows.Forms.TextBox();
+      this.chbAdvancedSettings = new System.Windows.Forms.CheckBox();
+      this.SuspendLayout();
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(14, 41);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(55, 13);
+      this.label2.TabIndex = 3;
+      this.label2.Text = "Username";
+      // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Location = new System.Drawing.Point(14, 67);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(53, 13);
+      this.label3.TabIndex = 4;
+      this.label3.Text = "Password";
+      // 
+      // txtUsername
+      // 
+      this.txtUsername.Location = new System.Drawing.Point(113, 38);
+      this.txtUsername.Name = "txtUsername";
+      this.txtUsername.Size = new System.Drawing.Size(169, 20);
+      this.txtUsername.TabIndex = 1;
+      // 
+      // txtPassword
+      // 
+      this.txtPassword.Location = new System.Drawing.Point(113, 64);
+      this.txtPassword.Name = "txtPassword";
+      this.txtPassword.Size = new System.Drawing.Size(169, 20);
+      this.txtPassword.TabIndex = 2;
+      this.txtPassword.UseSystemPasswordChar = true;
+      // 
+      // btnOk
+      // 
+      this.btnOk.DialogResult = System.Windows.Forms.DialogResult.OK;
+      this.btnOk.Location = new System.Drawing.Point(113, 206);
+      this.btnOk.Name = "btnOk";
+      this.btnOk.Size = new System.Drawing.Size(75, 23);
+      this.btnOk.TabIndex = 7;
+      this.btnOk.Text = "OK";
+      this.btnOk.UseVisualStyleBackColor = true;
+      this.btnOk.Click += new System.EventHandler(this.btnOK_Click);
+      // 
+      // btnCancel
+      // 
+      this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
+      this.btnCancel.Location = new System.Drawing.Point(207, 206);
+      this.btnCancel.Name = "btnCancel";
+      this.btnCancel.Size = new System.Drawing.Size(75, 23);
+      this.btnCancel.TabIndex = 8;
+      this.btnCancel.Text = "Cancel";
+      this.btnCancel.UseVisualStyleBackColor = true;
+      // 
+      // txtDatabaseName
+      // 
+      this.txtDatabaseName.Location = new System.Drawing.Point(113, 12);
+      this.txtDatabaseName.Name = "txtDatabaseName";
+      this.txtDatabaseName.Size = new System.Drawing.Size(169, 20);
+      this.txtDatabaseName.TabIndex = 0;
+      // 
+      // label4
+      // 
+      this.label4.AutoSize = true;
+      this.label4.Location = new System.Drawing.Point(14, 15);
+      this.label4.Name = "label4";
+      this.label4.Size = new System.Drawing.Size(84, 13);
+      this.label4.TabIndex = 5;
+      this.label4.Text = "Database Name";
+      // 
+      // txtHost
+      // 
+      this.txtHost.Enabled = false;
+      this.txtHost.Location = new System.Drawing.Point(113, 117);
+      this.txtHost.Name = "txtHost";
+      this.txtHost.Size = new System.Drawing.Size(169, 20);
+      this.txtHost.TabIndex = 4;
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(14, 120);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(29, 13);
+      this.label1.TabIndex = 11;
+      this.label1.Text = "Host";
+      // 
+      // label5
+      // 
+      this.label5.AutoSize = true;
+      this.label5.Location = new System.Drawing.Point(14, 172);
+      this.label5.Name = "label5";
+      this.label5.Size = new System.Drawing.Size(74, 13);
+      this.label5.TabIndex = 12;
+      this.label5.Text = "Service Name";
+      // 
+      // label6
+      // 
+      this.label6.AutoSize = true;
+      this.label6.Location = new System.Drawing.Point(14, 146);
+      this.label6.Name = "label6";
+      this.label6.Size = new System.Drawing.Size(26, 13);
+      this.label6.TabIndex = 13;
+      this.label6.Text = "Port";
+      // 
+      // txtPort
+      // 
+      this.txtPort.Enabled = false;
+      this.txtPort.Location = new System.Drawing.Point(113, 143);
+      this.txtPort.Name = "txtPort";
+      this.txtPort.Size = new System.Drawing.Size(169, 20);
+      this.txtPort.TabIndex = 5;
+      // 
+      // txtServiceName
+      // 
+      this.txtServiceName.Enabled = false;
+      this.txtServiceName.Location = new System.Drawing.Point(113, 169);
+      this.txtServiceName.Name = "txtServiceName";
+      this.txtServiceName.Size = new System.Drawing.Size(169, 20);
+      this.txtServiceName.TabIndex = 6;
+      // 
+      // chbAdvancedSettings
+      // 
+      this.chbAdvancedSettings.AutoSize = true;
+      this.chbAdvancedSettings.Location = new System.Drawing.Point(113, 99);
+      this.chbAdvancedSettings.Name = "chbAdvancedSettings";
+      this.chbAdvancedSettings.Size = new System.Drawing.Size(116, 17);
+      this.chbAdvancedSettings.TabIndex = 3;
+      this.chbAdvancedSettings.Text = "Advanced Settings";
+      this.chbAdvancedSettings.UseVisualStyleBackColor = true;
+      this.chbAdvancedSettings.CheckedChanged += new System.EventHandler(this.chbWindowsAuthentication_CheckedChanged);
+      // 
+      // OracleConnectionWizard
+      // 
+      this.AcceptButton = this.btnOk;
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(319, 244);
+      this.ControlBox = false;
+      this.Controls.Add(this.chbAdvancedSettings);
+      this.Controls.Add(this.txtServiceName);
+      this.Controls.Add(this.txtPort);
+      this.Controls.Add(this.label6);
+      this.Controls.Add(this.label5);
+      this.Controls.Add(this.label1);
+      this.Controls.Add(this.txtHost);
+      this.Controls.Add(this.txtDatabaseName);
+      this.Controls.Add(this.label4);
+      this.Controls.Add(this.btnCancel);
+      this.Controls.Add(this.btnOk);
+      this.Controls.Add(this.txtPassword);
+      this.Controls.Add(this.txtUsername);
+      this.Controls.Add(this.label3);
+      this.Controls.Add(this.label2);
+      this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
+      this.MaximizeBox = false;
+      this.MinimizeBox = false;
+      this.Name = "OracleConnectionWizard";
+      this.ShowInTaskbar = false;
+      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
+      this.Text = "Oracle Connection Wizard";
+      this.TopMost = true;
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label label2;
+    private System.Windows.Forms.Label label3;
+    private System.Windows.Forms.TextBox txtUsername;
+    private System.Windows.Forms.TextBox txtPassword;
+    private System.Windows.Forms.Button btnOk;
+    private System.Windows.Forms.Button btnCancel;
+    private System.Windows.Forms.TextBox txtDatabaseName;
+    private System.Windows.Forms.Label label4;
+    private System.Windows.Forms.TextBox txtHost;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.Label label5;
+    private System.Windows.Forms.Label label6;
+    private System.Windows.Forms.TextBox txtPort;
+    private System.Windows.Forms.TextBox txtServiceName;
+    private System.Windows.Forms.CheckBox chbAdvancedSettings;
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleConnectionWizard.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleConnectionWizard.cs	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleConnectionWizard.cs	(revision 7629)
@@ -0,0 +1,57 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+using HeuristicLab.DataImporter.DbExplorer.Interfaces;
+
+namespace HeuristicLab.DataImporter.DbExplorer.Oracle {
+  public partial class OracleConnectionWizard : Form, IDbConnectionWizard {
+
+    private OracleConnection connection;
+    public DbConnectionBase Connection {
+      get { return connection; }
+    }
+
+    public OracleConnectionWizard() {
+      InitializeComponent();
+    }
+
+    private void btnOK_Click(object sender, EventArgs e) {
+      if (chbAdvancedSettings.Checked)
+        connection = new OracleConnection(txtHost.Text, txtPort.Text, txtServiceName.Text, txtUsername.Text, txtPassword.Text);
+      else
+        connection = new OracleConnection(txtDatabaseName.Text, txtUsername.Text, txtPassword.Text);
+    }
+
+    private void chbWindowsAuthentication_CheckedChanged(object sender, EventArgs e) {
+      if (chbAdvancedSettings.Checked) {
+        txtHost.Enabled = true;
+        txtPort.Enabled = true;
+        txtServiceName.Enabled = true;
+      } else {
+        txtHost.Enabled = false;
+        txtPort.Enabled = false;
+        txtServiceName.Enabled = false;
+      }
+    }
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleExplorer.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleExplorer.cs	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/OracleExplorer.cs	(revision 7629)
@@ -0,0 +1,116 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Data.Common;
+using System.Globalization;
+using HeuristicLab.DataImporter.DbExplorer.Interfaces;
+
+namespace HeuristicLab.DataImporter.DbExplorer.Oracle {
+  public class OracleExplorer : DbExplorerBase {
+
+    private enum NumericDataType { Number, Binary_Float, Binary_Double, Smallint, Int, bigint, Float, Real }
+    public override bool IsNumericDataType(string type) {
+      NumericDataType numericDataType;
+      return Enum.TryParse<NumericDataType>(type, true, out numericDataType);
+    }
+
+    private enum DateDataType { Date, TimeStamp } //caution TimeStamp With Time Zone, With Local Time Zone also available
+    public override bool IsDateDataType(string type) {
+      DateDataType dateDataType;
+      return Enum.TryParse<DateDataType>(type, true, out dateDataType);
+    }
+
+    private enum StringDataType { Char, NChar, Varchar, Varchar2, NVarchar2 }
+    public override bool IsStringDataType(string type) {
+      StringDataType stringDataType;
+      return Enum.TryParse<StringDataType>(type, true, out stringDataType);
+    }
+
+    public override bool IsFilterableDataType(string type) {
+      return IsNumericDataType(type) || IsDateDataType(type) || IsStringDataType(type);
+    }
+
+    public override string MenuItemDescription {
+      get { return "Connect to Oracle"; }
+    }
+
+    private OracleConnectionWizard wizard;
+    protected override IDbConnectionWizard DbConnectionWizard {
+      get {
+        if (wizard == null)
+          wizard = new OracleConnectionWizard();
+        return wizard;
+      }
+    }
+
+    public override IEnumerable<DbTable> AllTables {
+      get {
+        if (Connection == null) {
+          throw new InvalidOperationException("Connection to database not correctly set!");
+        }
+        List<DbTable> allTables = new List<DbTable>();
+        using (DbConnection conn = Connection.CreateConnection()) {
+          conn.Open();
+          using (DbCommand cmd = conn.CreateCommand()) {
+            cmd.CommandText = @"select owner,table_name from all_tables where lower(owner) not like '%sys%' union " +
+                              @"select owner,view_name from all_views where lower(owner) not like '%sys%' order by owner,table_name";
+            using (DbDataReader reader = cmd.ExecuteReader()) {
+              while (reader.Read()) {
+                allTables.Add(new DbTable(reader.GetString(0), reader.GetString(1)));
+              }
+              reader.Close();
+            }//end using reader
+          }//end using command
+
+          //fill columns for table
+          foreach (DbTable table in allTables) {
+            using (DbCommand cmd = conn.CreateCommand()) {
+              cmd.CommandText = @"select column_name,data_type from all_tab_columns where table_name = '" + table.TableName + "' and owner = '" + table.OwnerName + "'";
+              using (DbDataReader reader = cmd.ExecuteReader()) {
+                while (reader.Read()) {
+                  table.AddColumn(new DbColumn(reader.GetString(0), reader.GetString(1)));
+                }
+                reader.Close();
+              }//end using reader
+            }//end using command
+          }//end foreach table
+          conn.Close();
+        }//end using connection
+        allTables.Sort(new DbTableComparator());
+
+        return allTables;
+      }
+    }
+
+    protected override string ConvertDate(DateTime date) {
+      string ret = date.ToString(CultureInfo.InvariantCulture);
+      ret = "to_date('" + ret + "','MM/DD/YYYY HH24:MI:SS')";
+      return ret;
+    }
+
+    protected override string ConvertDouble(double value) {
+      return value.ToString(CultureInfo.InvariantCulture);
+    }
+
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/Plugin.cs.frame
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/Plugin.cs.frame	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/Plugin.cs.frame	(revision 7629)
@@ -0,0 +1,34 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.DataImporter.DbExplorer.Oracle {
+  [Plugin("HeuristicLab.DataImporter.DbExplorer.Oracle","1.0.0.$WCREV$")]
+  [PluginFile("HeuristicLab.DataImporter.DbExplorer.Oracle-1.0.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.DataImporter.DataProcessor","1.0")]
+  public class HeuristicLabDataImporterDbExplorerOraclePlugin : PluginBase {
+  }
+}
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/Properties/AssemblyInfo.frame
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/Properties/AssemblyInfo.frame	(revision 7629)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Oracle/Properties/AssemblyInfo.frame	(revision 7629)
@@ -0,0 +1,57 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.DataImporter.DbExplorer.Oracle")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2008 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("7d0840b8-3382-4b99-ab4e-5d1eb91fbec1")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Revision and Build Numbers 
+// by using the '*' as shown below:
+[assembly: AssemblyVersion("1.0.0.$WCREV$")]
+[assembly: AssemblyFileVersion("1.0.0.$WCREV$")]
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.sln
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.sln	(revision 7628)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.sln	(revision 7629)
@@ -26,98 +26,50 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.DataImporter.DbExplorer.Interfaces", "HeuristicLab.DataImporter.DbExplorer.Interfaces\HeuristicLab.DataImporter.DbExplorer.Interfaces.csproj", "{815384EE-2B32-4C25-AE06-4FC7F417FE28}"
 EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.DataImporter.DbExplorer.MsSqlServer", "HeuristicLab.DataImporter.DbExplorer.MsSqlServer\HeuristicLab.DataImporter.DbExplorer.MsSqlServer.csproj", "{B6D02DED-277B-4091-9C06-F092D2F8116F}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.DataImporter.DbExplorer.Oracle", "HeuristicLab.DataImporter.DbExplorer.Oracle\HeuristicLab.DataImporter.DbExplorer.Oracle.csproj", "{E04988E2-1C46-416F-8585-8874DF19DA11}"
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Any CPU = Debug|Any CPU
-		Debug|x64 = Debug|x64
-		Debug|x86 = Debug|x86
 		Release|Any CPU = Release|Any CPU
-		Release|x64 = Release|x64
-		Release|x86 = Release|x86
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
 		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Debug|x64.ActiveCfg = Debug|x64
-		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Debug|x64.Build.0 = Debug|x64
-		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Debug|x86.ActiveCfg = Debug|x86
-		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Debug|x86.Build.0 = Debug|x86
 		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Release|x64.ActiveCfg = Release|x64
-		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Release|x64.Build.0 = Release|x64
-		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Release|x86.ActiveCfg = Release|x86
-		{D7EE47DB-4D07-4BAC-9E9F-3F0393AEF605}.Release|x86.Build.0 = Release|x86
 		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Debug|x64.ActiveCfg = Debug|x64
-		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Debug|x64.Build.0 = Debug|x64
-		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Debug|x86.ActiveCfg = Debug|x86
-		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Debug|x86.Build.0 = Debug|x86
 		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Release|Any CPU.Build.0 = Release|Any CPU
-		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Release|x64.ActiveCfg = Release|x64
-		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Release|x64.Build.0 = Release|x64
-		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Release|x86.ActiveCfg = Release|x86
-		{F83B3E02-FCAA-46CA-8712-C41B960D19C3}.Release|x86.Build.0 = Release|x86
 		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Debug|x64.ActiveCfg = Debug|x64
-		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Debug|x64.Build.0 = Debug|x64
-		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Debug|x86.ActiveCfg = Debug|x86
-		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Debug|x86.Build.0 = Debug|x86
 		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Release|Any CPU.Build.0 = Release|Any CPU
-		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Release|x64.ActiveCfg = Release|x64
-		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Release|x64.Build.0 = Release|x64
-		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Release|x86.ActiveCfg = Release|x86
-		{C384CD15-EAB7-4CE3-9FBB-FE41F7F47E4F}.Release|x86.Build.0 = Release|x86
 		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Debug|x64.ActiveCfg = Debug|x64
-		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Debug|x64.Build.0 = Debug|x64
-		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Debug|x86.ActiveCfg = Debug|x86
-		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Debug|x86.Build.0 = Debug|x86
 		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Release|Any CPU.Build.0 = Release|Any CPU
-		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Release|x64.ActiveCfg = Release|x64
-		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Release|x64.Build.0 = Release|x64
-		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Release|x86.ActiveCfg = Release|x86
-		{4A0EE09A-6D8A-458A-8FB0-3D18F88F7FEE}.Release|x86.Build.0 = Release|x86
 		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Debug|x64.ActiveCfg = Debug|x64
-		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Debug|x64.Build.0 = Debug|x64
-		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Debug|x86.ActiveCfg = Debug|x86
-		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Debug|x86.Build.0 = Debug|x86
 		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Release|Any CPU.Build.0 = Release|Any CPU
-		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Release|x64.ActiveCfg = Release|x64
-		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Release|x64.Build.0 = Release|x64
-		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Release|x86.ActiveCfg = Release|x86
-		{67E69744-D0D3-48C3-8F9D-51EE1A64E3F6}.Release|x86.Build.0 = Release|x86
 		{62625144-AC9E-4970-A79C-882B72A1601C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{62625144-AC9E-4970-A79C-882B72A1601C}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{62625144-AC9E-4970-A79C-882B72A1601C}.Debug|x64.ActiveCfg = Debug|x64
-		{62625144-AC9E-4970-A79C-882B72A1601C}.Debug|x64.Build.0 = Debug|x64
-		{62625144-AC9E-4970-A79C-882B72A1601C}.Debug|x86.ActiveCfg = Debug|x86
-		{62625144-AC9E-4970-A79C-882B72A1601C}.Debug|x86.Build.0 = Debug|x86
 		{62625144-AC9E-4970-A79C-882B72A1601C}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{62625144-AC9E-4970-A79C-882B72A1601C}.Release|Any CPU.Build.0 = Release|Any CPU
-		{62625144-AC9E-4970-A79C-882B72A1601C}.Release|x64.ActiveCfg = Release|x64
-		{62625144-AC9E-4970-A79C-882B72A1601C}.Release|x64.Build.0 = Release|x64
-		{62625144-AC9E-4970-A79C-882B72A1601C}.Release|x86.ActiveCfg = Release|x86
-		{62625144-AC9E-4970-A79C-882B72A1601C}.Release|x86.Build.0 = Release|x86
 		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Debug|x64.ActiveCfg = Debug|x64
-		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Debug|x64.Build.0 = Debug|x64
-		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Debug|x86.ActiveCfg = Debug|x86
-		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Debug|x86.Build.0 = Debug|x86
 		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Release|Any CPU.Build.0 = Release|Any CPU
-		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Release|x64.ActiveCfg = Release|x64
-		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Release|x64.Build.0 = Release|x64
-		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Release|x86.ActiveCfg = Release|x86
-		{815384EE-2B32-4C25-AE06-4FC7F417FE28}.Release|x86.Build.0 = Release|x86
+		{B6D02DED-277B-4091-9C06-F092D2F8116F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{B6D02DED-277B-4091-9C06-F092D2F8116F}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{B6D02DED-277B-4091-9C06-F092D2F8116F}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{B6D02DED-277B-4091-9C06-F092D2F8116F}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E04988E2-1C46-416F-8585-8874DF19DA11}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E04988E2-1C46-416F-8585-8874DF19DA11}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E04988E2-1C46-416F-8585-8874DF19DA11}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{E04988E2-1C46-416F-8585-8874DF19DA11}.Release|Any CPU.Build.0 = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/HeuristicLab.DataImporter/PreBuildEvent.cmd
===================================================================
--- /branches/HeuristicLab.DataImporter/PreBuildEvent.cmd	(revision 7628)
+++ /branches/HeuristicLab.DataImporter/PreBuildEvent.cmd	(revision 7629)
@@ -1,1 +1,2 @@
-SubWCRev "%ProjectDir%\" "%ProjectDir%\Properties\AssemblyInfo.frame" "%ProjectDir%\Properties\AssemblyInfo.cs"
+IF EXIST "%ProjectDir%\Properties\AssemblyInfo.cs.frame" SubWCRev "%ProjectDir%\" "%ProjectDir%\Properties\AssemblyInfo.cs.frame" "%ProjectDir%\Properties\AssemblyInfo.cs"
+IF EXIST "%ProjectDir%\Plugin.cs.frame" SubWCRev "%ProjectDir%\" "%ProjectDir%\Plugin.cs.frame" "%ProjectDir%\Plugin.cs"
